
package dlog;

import java.io.*;

/**
 * Logs received data to log file.
 * 
 * @author Johan Hagelbäck (johan.hagelback@lnu.se)
 */
public class FileLogger 
{
    // Log file filename
    private String filename;
    // Separator for csv file
    public static String separator = ";";
    
    /**
     * Creates a new file logger.
     * 
     * @param filename Log file filename
     */
    public FileLogger(String filename)
    {
        this.filename = filename;
    }
    
    /**
     * Logs received data to log file.
     * 
     * @param timestamp Current timestamp
     * @param value Received data value
     */
    public void log(String timestamp, double value)
    {
        try
        {
            BufferedWriter out = new BufferedWriter(new FileWriter(filename, true));
            if (value % 1 == 0)
            {
                //Store as integer
                out.write(timestamp + separator + (int)(value) + "\n");
            }
            else
            {
                //Store as decimal
                out.write(timestamp + separator + value + "\n");
            }
            out.close();
        }
        catch (Exception ex)
        {
            System.err.println("  Error logging ["+ timestamp + separator + value + "]");
        }
    }

}
